<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_white"
    android:paddingLeft="16dp"
    android:paddingTop="12dp"
    android:paddingRight="16dp"
    android:paddingBottom="12dp">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/video_poster"
        style="@style/frescoStyle"
        android:layout_width="120dp"
        android:layout_height="68dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundedCornerRadius="4dp" />

    <ImageView
        android:id="@+id/playIv"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:src="@drawable/ic_forum_video_detail_play"
        app:layout_constraintBottom_toBottomOf="@+id/video_poster"
        app:layout_constraintEnd_toEndOf="@+id/video_poster"
        app:layout_constraintStart_toStartOf="@+id/video_poster"
        app:layout_constraintTop_toTopOf="@+id/video_poster" />

    <TextView
        android:id="@+id/durationTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="4dp"
        android:background="@drawable/bg_shape_black_alpha_30_radius_2"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingLeft="2dp"
        android:paddingTop="1dp"
        android:paddingRight="2dp"
        android:paddingBottom="1dp"
        android:textColor="@color/white"
        android:textSize="10sp"
        app:layout_constraintBottom_toBottomOf="@+id/video_poster"
        app:layout_constraintEnd_toEndOf="@+id/video_poster" />

    <TextView
        android:id="@+id/videoTitleTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="2dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/text_title"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/video_poster"
        app:layout_constraintTop_toTopOf="@+id/video_poster" />

    <TextView
        android:id="@+id/userName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginTop="4dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_subtitle"
        android:textSize="13sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/video_poster"
        app:layout_constraintTop_toBottomOf="@+id/videoTitleTv" />

    <TextView
        android:id="@+id/voteAndCommentTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginBottom="2dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="11sp"
        app:layout_constraintBottom_toBottomOf="@+id/video_poster"
        app:layout_constraintStart_toEndOf="@+id/video_poster" />


</androidx.constraintlayout.widget.ConstraintLayout>
